// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int maxv = opt<int>(1);
	int part = opt<int>(2);
	int is_group3 = 0;
	if (argc >= 4) {
		is_group3 = opt<int>(3);
	}

	while (true) {
		vector<int> order(maxv);
		iota(order.begin(), order.end(), 1);
		shuffle(order.begin(), order.end());
		order.resize(part);
		sort(order.begin(), order.end());
		if (is_group3) {
			bool ok = true;
			for (int i = 0; i < szof(order) - 1; ++i) {
				if (order[i] * 2 + 1 < order[i + 1]) {
					ok = false;
					break;
				}
			}
			if (!ok) {
				continue;
			}
		}

		cout << part << "\n";
		for (int i = 0; i < part; ++i) {
			cout << order[i];
			if (i < part - 1) {
				cout << " ";
			}
		}
		cout << "\n";

		break;
	}

	return 0;
}