#include "testlib.h"
#include <string>
#include <map>
using namespace std;

const int MAXN[5] = {10, 3, 10, 50, 1000};
const int MINH = 100;
const int MAXH = 1000;

int main(int argc, char * argv[]) 
{
    registerValidation(argc, argv);
    int group = 0;
    group = atoi(validator.group().c_str());
    int n = inf.readInt(1, MAXN[group], "n");
    inf.readEoln();
    vector<int> a(n);
    for (int i = 0; i < n; i++)
    {
        a[i] = inf.readInt(MINH, MAXH, format("a[%d]", i + 1));
        if (i < n - 1)
            inf.readSpace();
        else
            inf.readEoln();
    }
    if (group == 3) {
        sort(a.begin(), a.end());
        for (int i = 1; i < n; i++)
            ensuref(a[i] - a[i - 1] > 10, "%d - %d <= 10", a[i], a[i - 1]);
        
    }   
    inf.readEof();
    return 0;
}